# -*- rpm-spec -*-
# $Id: ruby-jttui,v 1.1 2004/03/24 16:29:46 ab Exp $

%define realname	jttui
%define timestamp	200202262345

Name: ruby-%realname
Version: 0.11.0
Release: alt3

Summary: Jakub Travnik's textmode user interface (JTTui)
License: GPL
Group: Development/Other
URL: http://klokan.sh.cvut.cz/~jtra/
Source0: %realname-%version.tar.bz2
Patch: %realname-id.patch

BuildRequires: libncurses-devel libtinfo-devel libruby-devel
BuildRequires: ruby

%description
textmode user interface.
Any unix-like with curses library, MS Windows with Cygwin.
I'm developing it under Linux (Mandrake 8.0).
See doc/PLATFORMS for reports of success or failure reports.
Most parts of Tui are portable, it won't be hard to rewrite mouse, key
and curses modules to another different platform (such as Windows or Mac).

%prep
%setup -q -n %realname-%version
%patch -p1

%build 
ruby -rvendor-specific extconf.rb
%make_build

%install 
%__make install DESTDIR=%buildroot

%files
%doc doc/* examples contrib misc
%ruby_sitearchdir/*
%ruby_sitelibdir/jttui

%changelog
* Fri Apr 08 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.11.0-alt3
- Patch to fix obsolete Object#id to Object#object_id

* Wed Mar 24 2004 Alexander Bokovoy <ab@altlinux.ru> 0.11.0-alt2
- Rebuild against Ruby 1.8.1

* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 0.11.0-alt1
- 0.11.0
- Build against Ruby 1.8
- Spec cleanup

* Tue May 07 2002 Alexander Bokovoy <ab@altlinux.ru> 0.10.3-alt2
- Rebuild with Ruby 1.6.7-alt1

* Wed Apr 17 2002 Grigory Milev <week@altlinux.ru> ruby-jttui-0.10.3-alt1
- Initial build for ALT Linux distribution.


